Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455332 - Hosted's published API is wrong for several user methods
Summary: Hosted's published API is wrong for several user methods
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn505
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Amy Owens
URL:
Whiteboard: us=35967
Depends On:
Blocks: 455600
TreeView+ depends on / blocked
 
Reported: 2008-07-14 20:31 UTC by Stephen Herr
Modified: 2008-09-25 13:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-25 13:04:05 UTC


Attachments (Terms of Use)

Description Stephen Herr 2008-07-14 20:31:56 UTC
Description of problem:
Several of the method calls listed in Hosted's API only apply to Satellite. We
need to add functionality for these methods or remove them from the
documentation (probably the latter). Affected user methods:
user.create
user.delete
user.usePamAuthentication

Version-Release number of selected component (if applicable):
5.0.6

How reproducible:
Always

Steps to Reproduce:
1. navagate to /rhn/apidoc/user/UserHandler.jsp
  
Actual results:
methods create, delete, and usePamAuthentication exist

Expected results:
they shouldn't

Additional info:

Comment 2 Grant Gainey 2008-07-22 22:44:52 UTC
r118879

Comment 4 Sebastian Skracic 2008-09-04 11:12:59 UTC
Verified on QA.


Note You need to log in before you can comment on or make changes to this bug.